Subject: Re: Ethernet PHY chip discovery not working on 855T with 971/972 chips

From: Dean Matsen <[email-masked]>
Date: Sat, 12 Jul 2003 14:13:30 -0700

Paul Mackerras wrote:

>Dean Matsen writes:
>
>
>
>>Somewhere in this discussion thread I saw that the 2.4 kernel is closed for
>>patches (I just joined this list, so I didn't know that).
>>
>>
>
>Well, that's not strictly true, we will continue to fix things that
>are broken, but I would prefer than any new development (e.g. support
>for new boards or devices) happened in 2.5.  It's a bit disappointing
>that 8xx still doesn't compile in 2.5.  I don't have any 8xx hardware
>to test on so I have been relying on others to update it.
>
>
Ok, in that case I do have ONE thing that I know should be fixed, but
I haven't seen any response on it, so I am wondering if anyone noticed
it at all. See

http://lists.linuxppc.org/linuxppc-dev/200307/msg00085.html

This affects existing support. It's so simple that:
a) It's kind of annoying to 8xx people
b) probably everyone will figure it out
c) there is really no risk in fixing it.

>
>
>>Would it help if I came up with a 2.5 patch for fec.c? I made a few minor
>>changes that will make it behave friendlier for all [to whom it is not
>>already being totally friendly], and I see the 2.5 kernel could use some
>>of the same changes.
>>
>>
>
>Excellent idea. :)
>
>Paul.
>
>
>
>
>
I would love to see the kernel perform well for mpc8xx users right out
of the
box, so I am highly motivated to contibute. I'll focus on the 2.5 kernel
(I'm surprised to hear it doesn't compile).

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/